
NOTE: HISTORY NOW MOVED TO THE HELP FILE WITH THE MAIN AUTOIT CHANGES 
- THIS LOG IS NO LONGER MAINTAINED


3.2.10.0 (23rd November, 2007) (Release)
	Fixes: Numerous Examples (Gary Frost)
          Examples not showing when link provided. (Jos/Gary Frost)
          Structures, Net Share not showing in help. (Jos/Gary Frost)
   Fixed: _GUICtrlListView_DeleteAllItems deleting listiview, handle now required (Gary Frost)
   Added: reverse search to _GUICtrlListView_FindInText (Gary Frost)
   Updated: _SendMessage, _SendMessagA $wParam and $lParam from "int" to "wparam" and "lparam", return type from "long" to "lparam"
   Changed: _GUICtrlListView_DeleteAllItems, _GUICtrlListView_DeleteItem, _GUICtrlListView_DeleteItemSelected Examples

3.2.9.12 (17th November, 2007) (Beta)
   Added: UDF Files for: Animation, Clipboard, Menu, Network Share, ToolBar, Windows Networking, Rebar.
          Advanced Examples and images for GDI+.   (Gary Frost)
 Renamed: Structures.au3 to StructureConstants.au3 (Gary Frost)

3.2.9.10 (12th November, 2007) (Beta)
 Updated: _FileWriteFromArray to allow file handles. (PsaltyDS)


3.2.9.5 (2nd November, 2007) (Beta)
   Fixes: Updated GuiListView.au3 templates provided. (Gary Frost)
          Updated WindowsConstants.au3, Structures.au3, WinAPI.au3 (Gary Frost)
   Added: EventLog.au3, GDIPlus.au3, ScreenCapture.au3 UDFs examples and templates. (Gary Frost)
  Update: Structures.au3 templates provided. (Gary Frost)
          Constants.au3. (Gary Frost)

3.2.9.4 (25th October, 2007) (Beta)
   - GuiIPAddress.au3 Fixed crash in W2K. (Gary Frost)
   - Added a Debug section with _DebugSetup and _DebugOut UDFs. (Nutster)
   - Many documentation updates to the new GUI functions. (Gary Frost)
   - Replaced __CharacterIsApha() with StringRegExp() to make _StringProper() faster. (sanders)
 Removed: GuiCombo.au3, GuiList.au3. These have already been replaced with: GuiComboBox.au3 and GuiListBox.au3.
 Removed: Deprecated functions from: GuiComboBox.au3, GuiEdit.au3, GuiIPAddress.au3, GuiListBox.au3,
          GuiListView.au3, GuiMonthCal.au3, GuiSlider.au3, GuiStatusBar.au3, GuiTab.au3 and GuiTreeView.au3.

3.2.9.3 (5th October, 2007) (Beta)
   - Several Fixes for last major update. (Gary Frost)

3.2.9.2 (30th September, 2007) (Beta)
   - Major update to MANY GUI UDF's and additional UDFs merging UDFs from Paul Campbell (PaulIA) Auto3Lib project. (Gary Frost)
   - Added _Atan2 to Math.au3. (Nutster)


3.2.5.4 (14th September, 2007) (Beta)
   - Update: _IE.au3 version 2.3.1  (DaleHohm)

3.2.5.0 (14th September, 2007) (Beta)
   - Added _DateToMonth UDF to Date.au3. (exodius)
   - Added Optional: Handle of owner window to _ChooseColor andf ChooseFont. (Gary Frost)
   - Fixed: _SoundSeek now works with filenames. (RazerM)
   - Fixed: _Sound functions work with filenames that have spaces. (RazerM)
   - fixed a little bug in the version comparison procedure and updated the included SQLite dll to 3.4.0. (Piccaso)
   - Change _ReplaceStringInFile() to update the original file in stead of replacing it. (JdeB)

3.2.3.15
   - Added _IEGetObjByID to IE.au3 (DaleHohm)
   - Fixed _IEPropertyGet() directives appversion and appminorversion (Dale Hohm)
   - Fixed _IELoadWait to trap ClientDisconnected Com errors (DaleHohm)
   - Fixed and enhanced web links in _IE_Introduction('basic') (DaleHohm)
   - Several updates to IE.au3 documentation and examples (DaleHohm)
   - Total rewrite of _ArrayDisplay with more options. (randallc)

3.2.3.13 (2nd May, 2007) (Beta)
   - Several GUI Include file changed due to removal of Struct-EndStruct for the time being. (Gary Frost)
   - Added helper UDF _GetClassName() to Misc.au3. (Gary Frost)

3.2.3.7 (24th April,2007) (Beta)
   - Several GUI Include file fixed of reportd issues for UNICODE support. (Gary Frost)
   - Added Word.au3 containing the well known Word UDF's... thanks Bob. (Big_Daddy)
   - Updated Memory.au3 that allows UDFs to live in harmony the ones from Auto3Lib. (Gary Frost/paulIA)

3.2.3.2 (29th March, 2007) (Beta)
   - Fixed _DateIsValid function to properly check the time component.

3.2.1.15 (16th December, 2006) (Beta)
   - Updated GUIList.au3/GUIListView/GUIStatusBar functions to free memory if there is an error. (Gary Frost)
   - Updated GUIEdit.au3 Condensed code utilizing _SendMessage. (Gary Frost)
   - Added _GUICtrlEditGetLine function to GUIEdit.au3. (Gary Frost)
   - Added EditConstants.au3. (Gary Frost)
   - Update: rewrite for _PathFull() that adds some functionality,
             fixing some bugs and incresaing performance tremendously. (tittoproject,Valik)
   - Updated IE.au3 v2.1.0 see header of the include file

3.2.1.14 (23rd November, 2006) (Beta)
   - Added _TCPIpToName to INET.AU3. (piccaso)
   - Updated _ArraySearch() to Start/End/Case and Partial search.(gcriaco)
   - Updated/Cleaned up/Consolidated code in the GuiListView.au3 now works with System Controls. (Gary Frost)
   - Updated/Cleaned up/Consolidated code in GuiList.au3 (Gary Frost)
   - Updated/Cleaned up/Consolidated code in GuiStatusBar.au3 and updated Examples.(Gary Frost)
   - Added Memory.au3 which is used in both the above includes (Gary Frost)
   - _GUICtrlListViewGetItemText.au3 example is now 2 examples in 1 (Gary Frost)

3.2.1.12 (28th October, 2006) (Beta)
   - Added __StringAddComma and _StringBetween to String.au3. (SmOke_N)
   - Fixed _ChooseFont. (Gary Frost)
   - Fixed _GUICtrlStatusBarCreateProgress ;It doesn't work on simple mode statusbar
   - Fixed _FileListToArray doc example. (Thanks Frank60)

3.2.1.10 (13th October, 2006) (Beta)
   - Added _GUICtrlListViewEnsureVisible. (Gary Frost)
   - Added _GUICtrlStatusBarCreateProgress. (Gary Frost)
   - Updated _GUICtrlTreeViewSetState. (Gary Frost)
   - Fixed _SendMessage Doc for Helpfile. (jdeb)
   - Added _GUICtrlListViewFindItem. (Gary Frost)

3.2.1.9 (8th October, 2006) (Beta)
   - Added _SQLlite UDFS in SQLite.au3. (piccaso)
   - Added _SendMessage to Misc.au3. (Valik/Gary Frost)

3.2.1.5 (22nd September, 2006) (Beta)
   - Added 2 UDF's to GUIStatusBar.au3. (Gary Frost)
   - Several updates to GUIStatusBar.au3. (Gary Frost)
   - Several updates to Sound.au3.  (RazerM)

3.2.1.2 (7th September, 2006) (Beta)
   - Added 2 UDF's to GUIStatusBar.au3. (Gary Frost)
   - Added GuiIPAddress.au3 to Include directory. (Gary Frost)
   - Added Sound.au3 with several sound UDFs to Include directory. (RazerM)
   - removed the version numbers from the include files.

1.66 (17 July 2006)
   - Changed _FilesListToArray(): Added @error 4 meaning no files found. (Gary Frost)
   - Gui Function general cleanup (Gary Frost)
   - Changed: Constants seperated out into seperate files. (Valik)
   - Changed: GUIConstants.au3 is now a stub including pretty much everything (Use GUIConstantsEx.au3 and the
     other *Constants.au3 files for more granularity). (Valik)
   - Updated several Helpfile pages for ie.au3. (Big_Daddy)
   - Updated several functions in visa.au3. (Angel)
      - Fixed : _viPrintf and _viExecCommand would not work with certain GPIB cards (such as USB-GPIB cards).
        Changed use of the VISA command "viWrite" method to be more generic (thanks John Herrington for the tip).
      - Added : Additional OPTIONAL parameter for _viPrintf and _viExecComand. Controls command send mode
        and terminator. Default value is "Use @LF terminator".
      - Updated : _viPrintf and _ViExecCommand append an @LF to every VISA command by default.
        This can be changed by means of a new optional parameter.
      - Updated : _viPrintf and _ViExecCommand do not "protect" for escape characters anymore by default.
        That causes problems with some GPIB cards. It is possible to go back to the original behaviour
        by setting the new optional parameter $s_mode to "str".

1.65 (6 July 2006)
   - Added IE.au3 with all its well known Functions. Big Thanks to DaleHohm and Big_Daddy. (DaleHohm,Big_Daddy)
   - Changed _InetSmtpMail(), change initial connection logic.  (Neil)
   - Fixed _TicksToTime() StringIsInt() problem. (JdeB)
   - Fixed Bug in _GUICtrlListViewGetItemText on return if a subitem is empty. (Gary Frost)

1.64 (27 June 2006)
   - Updated _GUICtrlListViewGetItemText: removed $v_ret variable to avoid au3check errors. (Gary Frost)
   - Updated _GUIListView: Some bugfixes and Helpfile correction. (Gary Frost)
   - Updated _GUIListView: Found a way I can live with the -1 being in the _GUICtrlListViewGetItemText
     and _GUICtrlListViewGetItemTextArray for using selected index in the function calls. (Gary Frost)


1.63 (19 June 2006)
   - Updated _DateTimeFormat() to use a default template when registry entries are missing
     Like in Win9x/WinME for SLongDate.
   - GuiListView updated .This update will possible break scripts. (Gary Frost)
      Replaced ControlListView calls (will no longer need window title/text in params).
      Functions updated to reflect new params.
      Examples updated for consistancy.
      Templates updated as needed.
   - _ArrayBinarySearch: (JdeB)
      removed check for more than 1 entry to allow the use of this UDF on arrays with one entry.

1.62 (2 June 2006)
   - Fixed _ClipPutFile() example include statement. (RazerM)
   - Doc Fixes:
     _GUICtrlListViewEnsureVisible. (Gary Frost)
     _FileReadToArray. (CyberSlug)
   _ Fixed _Now() which was returning "tt" at the end (JdeB)

1.61 (23 May 2006)
   - Fixed _GuiCtrlListViewSort() avoiding insert/removal of spaces. (Gary Frost)
   - Changed test in _DateIsValid() test from <1900 to <1000 to allow
     a startdate of 1600 used for UTC calculations. (JdeB)
   - Changed _GUICtrlListViewSort. (JPM)
   - Added _ClipPutFile() to misc.au3. (Piccaso)
   - Updated _GUICtrlListViewSetItemSelState, added an optional focus state parameter. (Gary Frost)

1.60 (28 April 2006)
   - Updated _GuiCtrlStatusBarResize example. (Gary Frost)
   - Added 2 variables to GuiStatusBar.au3. (Gary Frost)
   - Fixed typo in _ArraySort. (Knight)

1.59 (20 April 2006)
   - Updated _ProcessGetPriority to use 0x0400. (Valik)
   - Added _GUICtrlEditSetRECT to GuiEdit.au3. (Gary Frost)
   - Updated Email addresses in UDF's to avoid retrieval by search engines. (JPM)

1.58 (6 April 2006
   - updated _ProcessGetPriority() to accept either a name or PID argument. (Valik)
   - Fixed bug in _FileWriteLine() insert mode not inserting new line. (sasdad)

1.57 (19 March 2006
   - Updated : GUICtrlTreeView
     * Changed _GUICtrlTreeViewExpand (Parent GUI handle no longer needed) (Holger)
     * Renamed _GUICtrlTreeViewItemGetTree to _GUICtrlTreeViewGetTree !!! (Holger)
     * Added _GUICtrlTreeViewGetState (Holger)
     * Added _GUICtrlTreeViewGetText (Holger)
     * Added _GUICtrlTreeViewInsertItem (Holger)
     * Added _GUICtrlTreeViewSetIcon (Holger)
     * Added _GUICtrlTreeViewSetState (Holger)
     * Added _GUICtrlTreeViewSetText (Holger)

1.56 (15 March 2006)
   - Updated _GUICtrlListViewSort Helpfile example. (Gary Frost)
   - Updated _GUICtrlCombo examples updated to proper height. (Gary Frost)
   - Updated GUIComboau3. Added #include <GUIConstants.au3>. (andyswarbs)

1.55 (2 March 2006)
   - Updated INetSmtpMail(),allow the "EHLO" to be send. (JPM)
   - Added Attribute to _GUICtrlComboAddDir, _GUICtrlListAddDir. (Gary Frost)
   - Added _GUICtrlListViewSetColumnHeaderText() to GuiListView. (Gary Frost)

1.54 (23 February 2006)
   - Added _GuiCtrlEditFind to GUIEDIT.AU3: - Find/Replace text in an Edit control. (Gary Frost)
   - Added _FileWriteToLine to FILE.AU3: Writes text to a specific line in a file. (cdkid)

1.53 (16 February 2006)
   - Fixed _GuiCtrlListViewDeleteItem: Listview items can't be deleted after sorting. (Gary Frost)

1.52 (8 February 2006)
   - Fixed typo in _ArraySearch Helpfile. (theguy0000)
   - Fixed _ArraySort Local $t decleration. (Gary Frost)
   - Fixed _GUICtrlComboAutoComplete() move Variable definitions to the stat of the function. (Gary Frost)
   - Fixed _GuiCtrlStatusBarCreate : corrected variable declarations in the function. (Gary Frost)

1.51 (3 February 2006)
   - Changed _InetGetSource to return "" when error occurs.  (erebus)
   - Changed Dim to Local in GuiStatusBar.au3. (Jdeb)
   - Change _GuiCtrlStatusBarSetIcon that will allow removing the icon from normal status bar. (Gary Frost)
   - Added version at the top of each UDF file.

1.50 (20 January 2006)
   - Added _GUIStatusBar.au3 UDF's. (Gary Frost, rysiora, JdeB, tonedef, eltorro)
   - Added _GUICtrlComboGetList to GUICombo.au3 which retrieves all items in a combobox (Valik)
   - Fixed _INetSmtpMail() paramater variable name. (JPM)

1.49 (17 January 2006)
   - Fixed bug in _ArrayPush() when Direction 1 is specified. (AnnA)
   - Helpfile _ArraySearch example corrected. (Valuater)
   - Removed obsolete parameters from _GUICtrlTreeViewSelectItem(), Scripts need updating! (JdeB)
   - Fixed : _INetSmtpMail() (by JPM). (Thanks Wooltown, MikeOsdx)
   - Updated all UDFs to get rid of any Errors from Au3Check v 1.50 will All checks enabled.
   - Updated _ArrayDisplay() added Const to Byref of the first parameter. (Valik)
   - Fixed bug in _PathFull when using root of a drive. (Valik)

1.48 (7 January 2006)
   - Fixed : _PathFull() 2 bugs. (by Valik)
   - Fixed : _INetSmtpMail() @error 5 (by JPM). (Thanks Wooltown, MikeOsdx)
   - Fixed : _StringEncrypt error return. (Thanks JerryD)

1.47 (30 December 2005)
   - Fixed _DateTimeFormat() to return LongTime notation for $sType=0 as specified in the Helpfile. (JdeB)
   - Made Subject and Body optional in _InetSmtpMail().  (PartyPooper)

1.46 (21 December 2005)
   - Fixed doc for _FileReadToArray(). (LxP)
   - Fixed doc and Example for _ArraySearch. (Knight)
   - Fixed _ArraySearch return value in case not found to -1. (SolidSnake)
   - Added _InetSmtpMail to Inet.au3. (Walkabout)

1.45 (2 December 2005)
   - Fixed _PathSplit(). Changed Dim $array[5] to Local $array[5]. (LxP)
   - Updated _InetGetSource(), Remove stripping last character in return string. (w0uter)
   - Fixed return value in _GUICtrlTreeViewDeleteItem when item id passed in. (Gary Frost)
   - Updated GUI UDFs: Update Includes and Templates for use with external controls
     Meaning controlID for autoit control, control hWnd for external control
     Also replace all Dim statements with Local. (Gary Frost)

1.44 (25 November 2005)
   - Fixed _ReplaceStringInFile to avoid adding CRLF when missing at the EOF. (JdeB)
   - Added _ProcessGetName to Process.au3. (Erifash)

1.43 (18 November 2005)
   - Fixed _DateAdd() Typo's in helpfile. (Gene)
   - Updated _INetMail() with new logic to support environment variables. (JPM)
   - Updated _GUICtrlListViewDeleteItemsSelected() with Test for Array. (CatchFish)
   - Added a Constant to GUIList.au3 and changed all examples. (Gary Frost)

1.42 (2 November 2005)
   - Updated _ArrayToString documentation, changed parameter order. (Josbe)
   - Updated _FileList2Array: removed checking for "." and ".." from the return from FileFindNextFile(). (SolidSnake)
   - Added _SetDate and _SetTime to Date.au3. (/dev/null)
   - Added _StringInsert to String.au3. (Celeri)
   - Fixed bug in the _GUICtrlListViewDeleteItem. (Gary Frost)

1.41 (10 October 2005)
   - Fixed BUG in _ReplaceStringInFile() always replacing multiple occurences on a single line. (Wooltown/LxP)
   - Added _GUICtrlListSelectIndex to GuiList.au3 for single select listbox's. (Gary Frost)

1.40 (5 October 2005)
   - Fixed error in _ArrayToString example. (/dev/null)
   - Changed _WeekNumberISO() to return the proper ISO weeknr.
     Also removed startday parameter because ISO weeks always starts on Monday. (jdeb)
   - Added _DateToDayOfWeekISO which retruns the ISO day number. 0=Monday - 6= Sunday (jdeb)
   - Fixed bug in _GUICtrlListViewDeleteAllItems. (Gary Frost)

1.39 (27 September 2005)
   - Updated _InetGetSource. (w0uter)

1.38 (26 September 2005)
   - Fixed GUICtrlTreeViewDeleteItem() selection logic. (Gary Frost)
   - Fixed GUICtrlTreeViewSelectItem() but removed Helpfile info because function is obsolete. (Gary Frost)

1.37 (20 September 2005)
   - Added _FileWriteFromArray() to file.au3. (jdeb)
   - Updated _InetGetSource. (w0uter)
   - Updated _TempFile with optional parameters.  (hansh)
   - Fixed documentation for _FileListToArray. (mlazovjp/Dickb)
   - Some code optimization changes: GuiList, GuiTreeView, GuiEdit (Gary Frost)
   - Fixed logic issue with _GUICtrlListViewSetColumnOrder and _GUICtrlComboGetEditSel. (jdeb)
   - Fixed a few minor documentation issues.

1.36 (5 September 2005)
   - Updated _DateTimeFormat: Added option 5 which returns time in 24 hour HH:MM:SS format. (jdeb)
   - Updated _NowTime: Added optional parameter to select the return format. (jdeb)
   - Fixed Documentation _MouseTrap()  (JPM)
   - Fixed _GUICtrlTreeViewDeleteItem bug in delete of item after adding child items. (Gary Frost)
   - Updated _StringToHex() and _HexToString() error testing. (JPM)
   - Updated Doc return Value formating. (JPM)

1.35 (31 August 2005)
   - Fixed _IsPressed Example. (Gary Frost)

1.34 (30 August 2005)
   - Fixed _ArraySearch example to point to Array.au3.
   - Updated _IsPressed Added optional param to function for those that will use
     the function heavily they can pass a handle to the function for the dll.  (Gary Frost/w0uter)

1.33 (28 August 2005)
   - Updated _ProcessGetPriority script logic and fixed example.  (MSLx Fanboy)

1.32 (28 August 2005)
   - Updated _ProcessGetPriority script logic.  (MSLx Fanboy)
   - Added _IsPressed (Ezzetabi/Jon)
   - Updated Corrected return value for _MouseTrap if no params passed. (Gary Frost)
   - Added _GUICtrlComboAutoComplete (Gary Frost)
   - Restored correct example for _GUICtrlListViewGetItemText (jdeb)
   - Added _ArrayPush to Array.au3 (hgeras)
   - Added _ArraySearch to Array.au3 (SolidSnake)
   - Added _ReplaceStringInFile to File.au3 (\dev\null)

1.31 (13 August 2005)
   - Updated _PathMake and _PathSplit documentation.
   - Updated _MouseTrap  (Gary Frost)
   - Updated _GUICtrlEditScroll: Added $SB_SCROLLCARET - Scrolls the caret into view. (Gary Frost)
   - Added _ProcessGetPriority to Process.au3  (MSLx Fanboy)
   - Added _FilePrint to File.au3 (Erifash)

1.30 (11 August 2005)
   - Fixed _DayValueToDate() to return Day and Month in the proper format.
   - Fixed _DateTimeFormat() to return HH:MM in proper 24 hour notation for $sType=0.

1.29 (5 August 2005)
   - Added _GUICtrlListViewCopyItems to GUIListView.au3. (Gary Frost)
   - Fixed source/documentation _INetGetSource
   - Added _MouseTrap to Misc.au3. (Gary Frost)
   - Fixed _GetIP and _RunDOS doc. (Gary Frost)
   - Added _Singleton to Misc.au3.
   - Fixed _GUICtrlListViewSort if no items in listview. (Gary Frost)

1.28 (19 July 2005)
   - Fixed _INetGetSource.au3 example (W0uter)
   - Fixed _FileReadToArray(): added StringStripCR to avoid @CR characters in the Array values. (jdeb)
   - Fixed _GUICtrlListViewDeleteItemsSelected was not working correctly (Gary Frost)

1.27 (17 July 2005)
   - Added _Radian() and _Degree() to Math.au3 (Erifash)
   - Added _FileList2Array.au3 to File.au3 (Solid)
   - Added _INetGetSource.au3 to Inet.au3 (W0uter)
   - Fixed documentation for _ArraySort() (jdeb)

1.26 (15 July 2005)
   - Bug Fixed: _GUICtrlListViewGetNextItem.  (Gary Frost)

1.25 (14 July 2005)
   - Bug Fixed: _GUICtrlListViewDeleteAllItems and _GUICtrlListViewDeleteItem
     when _GUICtrlListViewInsertItem used to populate the ListView. (Gary Frost)

1.24 (13 July 2005)
   - Fixed _GUICtrlListViewGetNextItem.au3 example (Gary Frost)
   - Fixed _DateIsValid Documentation and Example.

1.23 (07 July 2005)
   - Updated _TimetoTicks: Made parameters optional defaulting to current time (slimshady)
   - Corrected Example for _GUICtrlTreeViewGetParentHandle (Gary Frost)
   - Added _GUICtrlTreeViewGetParentID to GuiTreeView (Gary Frost)

1.22 (05 July 2005)
   - Fixed variables already declared in examples for _GUICtrlTreeView??? (Gary Frost)
   - Added _GUICtrlTreeViewGetParentHandle  (Gary Frost)
   - Fixed variables already declared in string.au3 (jdeb)

1.21 (22 June 2005)
   - Fixed Dim for $h_Tree in _GUICtrlTreeViewItemGetTree. (Gary Frost)
   - Added variable passed in to _GUICtrlTreeViewItemGetTree
     and changed example to refelect this change for seperator char. (Gary Frost)

1.20 (20 June 2005)
   - Removed the following functions from GuiListView.au3:  (Gary Frost)
     _GUICtrlListViewSetBkColor
     _GUICtrlListViewSetTextBkColor
     _GUICtrlListViewSetTextColorFixed
   - Fixed _GUICtrlTreeViewDeleteItem() to deleted more than 2 levels deep. (Gary Frost)
   - Added GUICtrlTreeView.au3 UDF's (Gary Frost)

1.19 (10 June 2005)
   - Fixed some merge issues.

1.18 (9 June 2005)
   - Fixed descending sort issue in multi dimension arrays.
   - Fixed _GUICtrlListViewSort() top handle numeric values correctly. (Gary Frost)
   - Renamed _GUICtrlListViewGetColumnOrderArray to _GUICtrlListViewGetColumnOrder
      Also corrected documentation for _GUICtrlListViewGetColumnOrder.
      Returns a "|" delimited string instead of an array, now matches
      the _GUICtrlListViewSetColumnOrder in the data type.   (Gary Frost)

1.17 (6 June 2005)
    - Added _GUICtrlSliderGetPos functions in GUISlider.au3  (Gary Frost)
   - Fixed _ArraySort lockup Bug.

1.16 (2 June 2005)
   - Fixed _ArraySort to cope with Mixed values and string entries.
    - Added _GUISlider??? functions in GUISlider.au3  (Gary Frost)
    - Added _GUICtrlListViewInsertColumn, _GUICtrlListViewInsertItem, _GUICtrlListViewJustifyColumn
            _GUICtrlListViewSetColumnOrder, _GuiCtrlListViewSetItemCount, _GUICtrlListViewSort  (Gary Frost)

1.15 (24 May 2005)
   - Added 2 Functions to GuiListView.au3: _GUICtrlListViewSetItemSelState and
      _GUICtrlListViewSetItemText  (Gary Frost)
    - Fixed typo in _GUICtrlListViewGetExtendedListViewStyle helppage.
    - Fixed typo in _ViClose helppage.

1.14 (21 May 2005)
   - Fixed _GUICtrlListGetSelItems: returned array, was an array of string numbers
      now an array of numbers.  (Gary Frost)
   - Fixed _GUICtrlListViewGetSelectedIndices returned array, was an array of
      string numbers now an array of numbers. (Gary Frost)
   - Updated _GUICtrlListSetHorizontalExtent documentation. (Gary Frost)

1.13 (19 May 2005)
   - Added _GUICtrlListViewSetCheckState (Gary Frost)
   - Fixed _GUICtrlListViewGetCurSel: If more than 1 item in listview had same data was returning
      the index of the 1st instance, now correctly returns the index of item selected. (Gary Frost)
   - Added _GUICtrlMonthCal???? function located in GuiMonthCal.au3 (Gary Frost)

1.12 (12 May 2005)
   - Added _GUICtrlListViewGetCheckedState to GuiListView. (Gary Frost)
    - Update several Helpfile pages for the _GUI?? functions. (Gary Frost)
    - Update _ChooseColor.  (Gary Frost)
    - Updated _Now(),_NowDate(), _NowTime that it defauts to mm/dd/yyyy and hh:mm:ss when the
      pc's format isn't found in the registry (Win9X).

1.11 (8 May 2005)
   - Added GuiEdit.au3 which has a number of _GUIEdit??? functions for Edit controls. (Gary Frost)
    - Updated _ChooseColor, _ChooseFont and _GUI??? function due to DllStruct renaming. (Gary Frost)
    - Corrected wParam to variable name in _GUICtrlEditLineIndex.txt   (Gary Frost)
    - Fixed example and include for $CB_GETDROPPEDCONTROLRECT   (Gary Frost)
    - Type-0 in Example: _GUICtrlComboGetEditSel.au3    (Gary Frost)

1.10 (3 May 2005)
   - Fixed _GUICtrlComboSetHorizontalExtent.txt (Gary Frost)
   - Added _ChooseColor and _ChooseFont to Misc.au3 (Gary Frost)

1.09 (1 May 2005)
   - Added _GUITab Functions located in GuiTab.au3.  (Gary Frost)

1.08 (28 April 2005)
   - Fixed Example for _TickstoTime.au3.
   - Fixed Fixed _ArrayTrim(): $iTrimDirection test.

1.07 (27 April 2005)
   - Renamed All Functions:_GUICtrlComBoBox to _GUICtrlComBo and  _GUICtrlListBox to _GUICtrlList (Gary Frost)
   - Fixed _DateSplit(), Fix another issue that was introduced with previous fix.
   - Fixed _DateDaysInMonth.au3 example , @Year and @Mon were swapped.
   - Fixed _DateToDayOfWeek.au3, contained a syntax error.

1.06 (26 April 2005)
   - Added _GUICtrlListView functions in GuiListView.au3. (Gary Frost)
   - Updated _GUICtrlComBoBox & _GUICtrlListBox Documentation and Functions. (Gary Frost)
   - Fixed _DateSplit(), adding seconds when missing in the input.

1.05 (24 April 2005)
   - Added _GUICtrlComBoBox functions in GuiComboBox.au3. (Gary Frost)
   - Added _GUICtrlListBox functions in GuiListBox.au3. (Gary Frost)
    - Replaced _ArraySort() with faster version from LazyCoder/Tylo
   - Fixed _GetIp() to work with the new page layout.
   - Added _PathFull(), _PathMake() and _PathSplit() to File.au3.

1.04 (25 February 2005)
    - Fixed _ArrayMaxIndex() and _ArrayMinIndex() to set to proper initial value.
    - Fixed _ArraySort() issue with only 2 entries not being sorted.
    - Fixed documentation and example for _ArrayToString()
    - Fixed DateAdd() line 84: change == to =
    - Updated DateSplit() to convert date/time portion to number
    - Fixed VISA.au3 from Peppe.

1.03 (6 February 2005)
    *** Updated all documentation to follow the standard used in the helpfile.

    Array.au3:
    - Updated many Array Function with optional parameters like $iBase.(See helpfile for detail)
    - Updated a couple of Function to make use of the new Redim function.
    - Added: _ArraySort()
    - Added: _ArrayTrim()
    - Added: _ArrayCreate()

    Date.au3:
    - Added: _DateAdd, _DateDiff, _DateToDayValue, _DayValueToDate,
             _DateTimeFormat, _DayOfWeek, _DateIsValid,
             _Now(), Nowcalc(), Nowcalcdate(), _NowTime(),
             _NowDate(),_DaysInMonth()_DaysOfWeek()

    File.au3:
    - Removed: _DirRemoveContents , obsolete, replaced by FileDelete() internal command.
    - Removed: _FileAppend , obsolete, replaced by FileWriteLine("Filename",) internal command.
    - Updated: _FileCountLines with a faster version created by Tylo.
    - Added:   _TempFile()

    Inet.au3
    - Added: _INetExplorerCapable, _INetMail, _GetIp

    Math.au3:
    - Added:   _Ceil, _Floor, _MathCheckDiv, _MathCheckDiv

    Misc.au3:
    - Added:  _Iif()

    Process.au3:
    - Updated: _RunDos because the default quotes gave problems in Win9x.

    String.au3:
    - Added:  _StringProper(), _StringEncrypt(), _StringToHex(), HexToString()

   Visa.au3:
    - Added:  _viExecCommand,_viOpen, _viClose, _viFindGpib, _viSetTimeout,
              _viSetAttribute, _viGTL, _viGpibBusReset


1.02 (27 February 2004)
    - Added: _FileCountLines(), _DirRemoveContents()
    - Added: _DateDaysInMonth()
    - Added: _DateIsValidMonthNum(), _DateIsValidWeekdayNum(), _DateIsValidYear()
    - Added: _TimeIsValidHour(), _TimeIsValidMinute(), _TimeIsValidSecond()
    - Added: Usage syntax now included for documentation
    - Added: Documentation updates
    - Changed: _FileReadToArray() so it executes faster
    - Changed: (Internal) Enhanced the way the date/time functions operate
    - Changed: (Internal) File functions now use new file read/write syntax
    - Fixed: _RunDOS() to support executing DOS commands with spaces in the command


1.01 (5 February 2004)
    - Added: _ColorGetRed(), _ColorGetGreen(), _ColorGetBlue()
    - Added: _RunDOS()
    - Fixed: _TicksToTime() and _TimeToTicks()


1.00 (21 January 2004)
    - Initial release
